#pragma once

#include "Point.h"

#include <string>

class LogicGatePrimitiveShapes
{
public:
	static Point getAndGateConnectionLocation(bool isInput, std::size_t idx);

	static std::string getAndGateShape();

	static Point getOrGateConnectionLocation(bool isInput, std::size_t idx);

	static std::string getOrGateShape();
};